#include <bits/stdc++.h>
using namespace std;

int n,x,in,mn,mx;

int main()
{
    ios::sync_with_stdio(false);
    cin>>n>>x;
    mn=x,mx=x;
    for(int i=0;i<n;i++)
    {
        cin>>in;
        mn=min(mn,in);
        mx=max(mx,in);
    }
    mn=x-mn,mx=mx-x;
    cout<<2*min(mn,mx)+max(mn,mx);
}